### Constructor

# Gtk Box new

#### Declaration [src]

    GtkWidget*
    gtk_box_new (
      GtkOrientation orientation,
      int spacing
    )

#### Description [src]

Creates a new box.

#### Parameters

`orientation`

  Type: `GtkOrientation`

  The box’s orientation.

`spacing`

  Type: `int`

  The number of pixels to place between children.

#### Return value

Type: `GtkWidget`

A new `GtkBox`.

The data is owned by the called function.